#
# spec file for package obs-service-recompress
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define service recompress

Name:           obs-service-%{service}
Version:        0.3.1+git20160217.7897d3f
Release:        10.1
Summary:        An OBS source service: Recompress files
License:        GPL-2.0+
Group:          Development/Tools/Building
Url:            https://github.com/openSUSE/obs-service-%{service}
Source:         %{name}-%{version}.tar.gz
Requires:       bzip2
Requires:       gzip
Requires:       xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
This is a source service for openSUSE Build Service.

It supports to compress, uncompress or recompress files from or to

 none : No Compression
 gz   : Gzip Compression
 bz2  : Bzip2 Compression
 xz   : XZ Compression


%prep
%setup -q

%build

%install
%makeinstall

%files
%defattr(-,root,root)
%dir %{_prefix}/lib/obs
%{_prefix}/lib/obs/service

%changelog
* Wed Feb 17 2016 opensuse-packaging@opensuse.org
- Update to version 0.3.1+git20160217.7897d3f:
  + security fixes
* Wed Jun 24 2015 hib@hiberis.nl
- Fix build for Debian 8.0
- Use install target from Makefile
- Include git revision in version number
- Update to version 0.3.1+git20150622.d908b54:
  + Tell rm not to prompt
  + Change debian source format to 'native'
  + Add Makefile with install target
* Wed Jul  9 2014 jblunck@infradead.org
- Update to version 0.3.1:
  + debian: use install-file to simplify rules-file
  + Initial debianization
  + - avoid problematic quoting
  + Fix typo
* Tue Nov  5 2013 speilicke@suse.com
- Update to version 0.3.1:
  + Fix diffing uncompressed files
* Mon Nov  4 2013 speilicke@suse.com
- Update to version 0.3:
  + Don't overwrite identical files
* Tue Oct 29 2013 speilicke@suse.com
- Move service to github.com/openSUSE/obs-service-recompress
- Add _service file to update package from there
- Drop local sources and use tarball from source services
* Thu Mar  1 2012 aspiers@suse.com
- Display message on successful (re)compression.
* Tue Feb 14 2012 aspiers@suse.com
- always remove uncompressed files
- fix rpmlint warnings
